Переполнение буфера в t1lib

Дата публикации:
31.07.2007
Дата изменения:
24.03.2009
Всего просмотров:
861
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
t1lib 5.x
Уязвимые версии: t1lib 5.1.1, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "intT1_EnvGetCompletePath()" в файле lib/t1lib/t1env.c. Злоумышленник может передать приложению слишком длинную строку в параметре "FileName", вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: sunsite.unc.edu/pub/Linux/libs/graphics

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: PHP php_gd2.dll imagepsloadfont Local Buffer Overflow PoC

или введите имя

CAPTCHA